part of simulator_eurl_sasu;

class SimulationSasu {

  Logger logger = new Logger('simulator.SimulationSas');

  double turnover;
  double runningCost;

  Salary salarySas;
  double taxIs;
  Dividend dividend;

  double ir;
  double net;

  SimulationSasu(this.turnover, this.runningCost, this.salarySas,
      this.taxIs, this.dividend, this.ir, this.net);

  String toString() {
    return """
      \n
      [SimulationSas]
      turnover = $turnover
      runningCost = $runningCost
      salarySas = $salarySas
      taxIs = $taxIs
      Dividend = $dividend
      ir = $ir
      net = $net
      yield = ${roundNumber(net / (turnover - runningCost) * 100)}
      """;
  }

  Map toPublicJson() {
    Map map = new Map();
    map["turnover"] = roundNumber(turnover);
    map["runningCost"] = roundNumber(runningCost);
    map["salary"] = salarySas.toPublicJson();
    map["is"] = roundNumber(taxIs);
    map["dividend"] = dividend.toPublicJson();
    map["ir"] = roundNumber(ir);
    map["net"] = roundNumber(net);
    map["yield"] = roundNumber(net / (turnover - runningCost) * 100);

    return map;
  }
}
